Errno (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.nativeio, enum: Errno

Package org.apache.hadoop.io.nativeio

# Enum Class Errno

java.lang.Object
java.lang.Enum<Errno>
org.apache.hadoop.io.nativeio.Errno

All Implemented Interfaces:
  `Serializable`, `Comparable<Errno>`, `Constable`

public enum Errno extends Enum<Errno>
Enum representing POSIX errno values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `E2BIG`
  `EACCES`
  `EAGAIN`
  `EBADF`
  `EBUSY`
  `ECHILD`
  `EDOM`
  `EEXIST`
  `EFAULT`
  `EFBIG`
  `EINTR`
  `EINVAL`
  `EIO`
  `EISDIR`
  `ELOOP`
  `EMFILE`
  `EMLINK`
  `ENAMETOOLONG`
  `ENFILE`
  `ENODEV`
  `ENOENT`
  `ENOEXEC`
  `ENOMEM`
  `ENOSPC`
  `ENOTBLK`
  `ENOTDIR`
  `ENOTEMPTY`
  `ENOTTY`
  `ENXIO`
  `EOVERFLOW`
  `EPERM`
  `EPIPE`
  `ERANGE`
  `EROFS`
  `ESPIPE`
  `ESRCH`
  `ETXTBSY`
  `EXDEV`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Errno`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Errno[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EPERM

    public static final Errno EPERM

  - ### ENOENT

    public static final Errno ENOENT

  - ### ESRCH

    public static final Errno ESRCH

  - ### EINTR

    public static final Errno EINTR

  - ### EIO

    public static final Errno EIO

  - ### ENXIO

    public static final Errno ENXIO

  - ### E2BIG

    public static final Errno E2BIG

  - ### ENOEXEC

    public static final Errno ENOEXEC

  - ### EBADF

    public static final Errno EBADF

  - ### ECHILD

    public static final Errno ECHILD

  - ### EAGAIN

    public static final Errno EAGAIN

  - ### ENOMEM

    public static final Errno ENOMEM

  - ### EACCES

    public static final Errno EACCES

  - ### EFAULT

    public static final Errno EFAULT

  - ### ENOTBLK

    public static final Errno ENOTBLK

  - ### EBUSY

    public static final Errno EBUSY

  - ### EEXIST

    public static final Errno EEXIST

  - ### EXDEV

    public static final Errno EXDEV

  - ### ENODEV

    public static final Errno ENODEV

  - ### ENOTDIR

    public static final Errno ENOTDIR

  - ### EISDIR

    public static final Errno EISDIR

  - ### EINVAL

    public static final Errno EINVAL

  - ### ENFILE

    public static final Errno ENFILE

  - ### EMFILE

    public static final Errno EMFILE

  - ### ENOTTY

    public static final Errno ENOTTY

  - ### ETXTBSY

    public static final Errno ETXTBSY

  - ### EFBIG

    public static final Errno EFBIG

  - ### ENOSPC

    public static final Errno ENOSPC

  - ### ESPIPE

    public static final Errno ESPIPE

  - ### EROFS

    public static final Errno EROFS

  - ### EMLINK

    public static final Errno EMLINK

  - ### EPIPE

    public static final Errno EPIPE

  - ### EDOM

    public static final Errno EDOM

  - ### ERANGE

    public static final Errno ERANGE

  - ### ELOOP

    public static final Errno ELOOP

  - ### ENAMETOOLONG

    public static final Errno ENAMETOOLONG

  - ### ENOTEMPTY

    public static final Errno ENOTEMPTY

  - ### EOVERFLOW

    public static final Errno EOVERFLOW

  - ### UNKNOWN

    public static final Errno UNKNOWN

- ## Method Details

  - ### values

    public static Errno[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Errno valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null